﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinEditors;

namespace UltraGridWithRadioButtons96866
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.Load += new EventHandler(Form1_Load);
            ultraGrid1.AfterRowActivate += new EventHandler(ultraGrid1_AfterRowActivate);
        }

        void ultraGrid1_AfterRowActivate(object sender, EventArgs e)
        {
            ultraGrid1.DisplayLayout.Override.ActiveRowAppearance.ForeColor = Color.Red;
            ultraGrid1.DisplayLayout.Override.ActiveRowAppearance.BackColor = Color.White;
        }

        void Form1_Load(object sender, EventArgs e)
        {
            ultraGrid1.DataSource = GetData();
            ultraGrid1.DataBind();

            //Create a new instance of the UltraOptionSet
            UltraOptionSet ultraOptionSet1 = new UltraOptionSet();

            //Create the necessary ValueListItems to represent each of the desired options
            Infragistics.Win.ValueListItem valueListItem1 = new Infragistics.Win.ValueListItem();
            Infragistics.Win.ValueListItem valueListItem2 = new Infragistics.Win.ValueListItem();
            Infragistics.Win.ValueListItem valueListItem3 = new Infragistics.Win.ValueListItem();

            //Assign a data value for each option
            valueListItem1.DataValue = "Yes";
            valueListItem2.DataValue = "No";
            valueListItem3.DataValue = "Not Sure";
            
            //Assign the text which will be displayed within the UltraGrid for each option
            valueListItem1.DisplayText = "Yes";
            valueListItem2.DisplayText = "No";
            valueListItem3.DisplayText = "Not Sure";
            
            //Add each ValueListItem object to the items collection of the ultraOptionSet
            ultraOptionSet1.Items.AddRange(new Infragistics.Win.ValueListItem[] {valueListItem1, valueListItem2, valueListItem3});

            //Set the UltraOptionSet instance as the EditorComponent for the first column of the UltraGrid
            ultraGrid1.DisplayLayout.Bands[0].Columns[0].EditorComponent = ultraOptionSet1;
            
            //Resize the column to fit the presented options
            ultraGrid1.DisplayLayout.PerformAutoResizeColumns(false, Infragistics.Win.UltraWinGrid.PerformAutoSizeType.VisibleRows);
        }

        //Create some sample data for the UltraGrid
        private DataTable GetData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add(); dt.Columns.Add();
            for (int i = 0; i < 9; i++)
            {
                dt.Rows.Add("item" + i.ToString(), "item" + i.ToString());    
            }
            return dt;
        }
    }
}
